package stackjava.com.hibernatedemo;

import javax.persistence.*;

import stackjava.com.hibernatedemo.entities.Employee;

public class Demo {

	public static void main(String[] args) {
		EntityManagerFactory entityManagerFactory = Persistence.createEntityManagerFactory("persistence");
		EntityManager entityManager = entityManagerFactory.createEntityManager();
		entityManager.getTransaction().begin();

		Employee emp1 = new Employee("kai");
		Employee emp2 = new Employee("sena");
		entityManager.persist(emp1);
		entityManager.persist(emp2);

		entityManager.getTransaction().commit();
		System.out.println(emp1);
		System.out.println(emp2);
		entityManager.close();
		entityManagerFactory.close();
	}

}
